Package com.xebialabs.xlrelease.domain.events

# Class GateConditionCreatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.GateConditionCreatedEvent

All Implemented Interfaces:
  `GateConditionEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class GateConditionCreatedEvent extends Object implements GateConditionEvent, scala.Product, Serializable
Event published when a gate condition is created. param: task the gate task on which the condition was created. param: gateCondition the condition that was created.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GateConditionCreatedEvent(GateTask task, GateCondition gateCondition)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GateConditionCreatedEvent`
  `apply(GateTask task, GateCondition gateCondition)`
  `boolean`
  `canEqual(Object x$1)`
  `GateConditionCreatedEvent`
  `copy(GateTask task, GateCondition gateCondition)`
  `GateTask`
  `copy$default$1()`
  `GateCondition`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `GateCondition`
  `gateCondition()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `GateTask`
  `task()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<GateTask,GateCondition>>`
  `unapply(GateConditionCreatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### GateConditionCreatedEvent

    public GateConditionCreatedEvent(GateTask task, GateCondition gateCondition)

- ## Method Details

  - ### apply

    public static GateConditionCreatedEvent apply(GateTask task, GateCondition gateCondition)

  - ### unapply

    public static scala.Option<scala.Tuple2<GateTask,GateCondition>> unapply(GateConditionCreatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### task

    public GateTask task()

  - ### gateCondition

    public GateCondition gateCondition()

  - ### copy

    public GateConditionCreatedEvent copy(GateTask task, GateCondition gateCondition)

  - ### copy$default$1

    public GateTask copy$default$1()

  - ### copy$default$2

    public GateCondition copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`